Validates the iterator

- « NoRewindIterator::rewind

- ParentIterator »

- PHP Manual
- NoRewindIterator
- Validates the iterator

# NoRewindIterator::valid

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

NoRewindIterator::valid — Validates the iterator

### Description

public NoRewindIterator::valid(): bool

Checks whether the iterator is valid.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- NoRewindIterator::getInnerIterator()